package com.tptj.demo.hg.controller.register;

import com.fr.decision.fun.impl.AbstractControllerRegisterProvider;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-22
 **/
@EnableMetrics
public class Demo extends AbstractControllerRegisterProvider {
    @Override
    @Focus(id = "com.tptj.demo.hg.controller.register.v10",text = "spring controller demo")
    public Class<?>[] getControllers() {
        //同名情况下，后注册的会把先注册的抵消掉
        return new Class[]{
                HelloWorld.class,
                SimpleServer.class,
                AnnotationServer.class,
                com.tptj.demo.hg.controller.register.pkg1.Server.class,
                com.tptj.demo.hg.controller.register.pkg2.Server.class
        };
    }
}
